extends ../_docs-template

block vars
  - var activeLink = 'svelte';
  - var title = 'Accordion Svelte Component | Framework7 Svelte Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu-svelte
  .docs-content
    .motion-docs-page-title
      h1 Accordion Svelte Component
      script(src="/js/motion/accordion.js")
      f7-motion-accordion(motion)

    p Accordion Svelte component represents Framework7's <a href="../docs/accordion.html">Accordion</a> component.
    h2 Accordion Components
    p There are following components included:
    ul
      li `Accordion`
      li `AccordionItem`
      li `AccordionToggle`
      li `AccordionContent`
    h2 Accordion Properties
    table.params-table
      thead
        tr
          th Prop
          th Type
          th Default
          th Description
      tbody
        tr
          th(colspan="4") &lt;AccordionItem&gt; properties
        tr
          td opened
          td boolean
          td
          td Makes accordion item opened

    h2 Accordion Events
    table.events-table
      thead
        tr
          th Event
          th Description
      tbody
        tr
          th(colspan="2") &lt;AccordionItem&gt; events
        tr
          td accordionBeforeOpen
          td Event will be triggered right before accordion content starts its opening animation. First handler argument receives `prevent` function that will prevent accordion from opening when called.
        tr
          td accordionOpen
          td Event will be triggered when accordion content starts its opening animation.
        tr
          td accordionOpened
          td Event will be triggered after accordion content completes its opening animation.
        tr
          td accordionBeforeClose
          td Event will be triggered right before accordion content starts its closing animation. First handler argument receives `prevent` function that will prevent accordion from closing when called.
        tr
          td accordionClose
          td Event will be triggered when accordion content starts its closing animation.
        tr
          td accordionClosed
          td Event will be triggered after accordion content completes its closing animation.

    h2 Accordion List
    p Accordion List is not a separate component, but just a particular case of using <a href="list-view.html">`<List>`</a>, <a href="list-item.html">`<ListItem>`</a> and `<AccordionContent>` components.
    p In this case accordion events will be fired on `ListItem`.
    h2 Examples
    +examplePreview('svelte', 'accordion.svelte', 'accordion')

